Last Comment Bug 484621 - Port Bug 471962: When saving an inner frame as file only, the POST data of the outer page is sent to the address of the inner page
: Port Bug 471962: When saving an inner frame as file only, the POST data of th...
Status: VERIFIED FIXED
[sg:low]
: fixed-seamonkey1.1.17, fixed1.8.1.22
Product: SeaMonkey
Classification: Client Software
Component: Download & File Handling (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.0b1
Assigned To: Justin Wood (:Callek)
:
:
Mentors:
Depends on: 483959
Blocks: SmTestFail 471962
  Show dependency treegraph
 
Reported: 2009-03-21 20:23 PDT by Justin Wood (:Callek)
Modified: 2009-06-04 10:46 PDT (History)
10 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch for SeaMonkey c-c [checked-in] (1.27 KB, patch)
2009-03-22 08:49 PDT, Justin Wood (:Callek)
neil: review+
neil: superreview+
Details | Diff | Splinter Review
SeaMonkey version, 1.8.1 (1.48 KB, patch)
2009-03-22 16:23 PDT, Justin Wood (:Callek)
neil: review+
neil: superreview+
dveditz: approval1.8.1.next+
Details | Diff | Splinter Review
Toolkit (Thunderbird) version, 1.8.1 (1.59 KB, patch)
2009-03-22 16:26 PDT, Justin Wood (:Callek)
bzbarsky: review+
dveditz: approval1.8.1.next+
Details | Diff | Splinter Review

Description Justin Wood (:Callek) 2009-03-21 20:23:13 PDT
+++ This bug was initially created as a clone of Bug #483959 +++

{
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/toolkit/content/tests/browser/browser_bug471962.js | The saved inner frame does not contain outer POST data
}

I'll fix 1.9.1 for SeaMonkey, and 1.8.1 for SeaMonkey, this may also affect 1.8.1 TB, doubt it is worth fixing there, but if someone identifies it as a problem I'll do so.
Comment 1 Justin Wood (:Callek) 2009-03-21 20:24:10 PDT
[sg:low] per Bug 471962
Comment 2 Justin Wood (:Callek) 2009-03-22 08:49:42 PDT
Created attachment 368783 [details] [diff] [review]
Patch for SeaMonkey c-c [checked-in]

This is a direct port of the patch in Bug 471962. Does make their test pass for us.
Comment 3 Justin Wood (:Callek) 2009-03-22 16:23:33 PDT
Created attachment 368807 [details] [diff] [review]
SeaMonkey version, 1.8.1

The SeaMonkey 1.1.x version of the above
Comment 4 Justin Wood (:Callek) 2009-03-22 16:26:40 PDT
Created attachment 368809 [details] [diff] [review]
Toolkit (Thunderbird) version, 1.8.1

I doubt normal builds of TB need this, but for the benefit of XULRunner on 1.8.1 and linux distro's can't hurt to push the toolkit fix while I'm here. (r? on bz since he reviewed original patch).
Comment 5 Serge Gautherie (:sgautherie) 2009-03-23 07:08:09 PDT
V.Fixed, as SeaMonkey tinderboxes pass bug 483959 test now.
Comment 6 Daniel Veditz [:dveditz] 2009-04-03 10:39:20 PDT
Comment on attachment 368809 [details] [diff] [review]
Toolkit (Thunderbird) version, 1.8.1

Approved for 1.8.1.22, a=dveditz for release-drivers
Comment 7 Daniel Veditz [:dveditz] 2009-04-03 10:40:12 PDT
I guess I didn't need to approve the seamonkey-only patch
Comment 8 Justin Wood (:Callek) 2009-04-03 16:49:36 PDT
dveditz, can you please commit these two 1.8.x patches, just moved today and won't have net access where I can utilize my ssh key for a while.
Comment 9 Frank Wein [:mcsmurf] 2009-04-16 11:51:04 PDT
Checking in toolkit/content/contentAreaUtils.js;
/cvsroot/mozilla/toolkit/content/contentAreaUtils.js,v  <--  contentAreaUtils.js
new revision: 1.77.2.8; previous revision: 1.77.2.7
done
Checking in xpfe/communicator/resources/content/contentAreaUtils.js;
/cvsroot/mozilla/xpfe/communicator/resources/content/contentAreaUtils.js,v  <--
 contentAreaUtils.js
new revision: 1.134.2.7; previous revision: 1.134.2.6
done

Note You need to log in before you can comment on or make changes to this bug.